Newer Nvidia Drivers Topic is solved

Having issues with your DietPi installation or found a bug? Post it here.
Post Reply
trigrhappy
Posts: 30
Joined: Sat Aug 31, 2019 6:38 am

Newer Nvidia Drivers

Post by trigrhappy »

I realize that it is likely a debian issue..... by why are the "newest" drivers for my video card the comparatively ancient 418 drivers? There are plenty of newer versions available for linux, and the older versions lack features that I require (namely, Emby Transcoding).

So does anyone have a reliable way to easily update to newer nvidia drivers?
User avatar
Joulinar
Posts: 5087
Joined: Sat Nov 16, 2019 12:49 am

Re: Newer Nvidia Drivers

Post by Joulinar »

Hi,

maybe you can have a look to following site. https://linuxconfig.org/how-to-install- ... ster-linux

There is a section on how to install from official nvidia.com package
Pls let us know if a solution is working. This could help others if they hit by similar situation. Your DietPi Team
User avatar
WarHawk
Posts: 732
Joined: Thu Jul 20, 2017 8:55 am

Re: Newer Nvidia Drivers

Post by WarHawk »

nvidia linux.jpg
Just sayin'
trigrhappy
Posts: 30
Joined: Sat Aug 31, 2019 6:38 am

Re: Newer Nvidia Drivers

Post by trigrhappy »

Thanks for the link. There's a lot to unpack there....... which didn't solve my issue [Edit: Yes it did. I got my links mixed up, but its buried in there. My apologies.]

This did tho:

Download the newest nvidia drivers:

Code: Select all

wget https://us.download.nvidia.com/XFree86/Linux-x86_64/465.27/NVIDIA-Linux-x86_64-465.27.run
Download and install the headers for your kernel:

Code: Select all

apt install linux-headers-$(uname -r)
Install the drivers:

Code: Select all

sh ./NVIDIA-Linux-x86_64-465.27.run
Working perfectly now.
User avatar
MichaIng
Site Admin
Posts: 3087
Joined: Sat Nov 18, 2017 6:21 pm

Re: Newer Nvidia Drivers

Post by MichaIng »

Thanks for sharing. The Debian repository ships the nvidia-driver package, but it is naturally outdated compared to a freshly compiled one. v460 at least is available via Buster backports: https://packages.debian.org/buster-back ... dia-driver

Code: Select all

apt -t buster-backports install nvidia-driver
Post Reply